Subject: bug#37015: [Hyperbole-users] bug#37015: man link gives me car: Variable binding depth exceeds max-specpdl-size

From: Robert Weiner <[email-masked]>
Date: Tue, 20 Aug 2019 07:03:36 -0400

It must be my auto-debug bot that I have yet to train to be less aggressive and to keep me in the loop. 😗

-- Bob

On Aug 20, 2019, at 2:07 AM, Mats Lidell <[email-masked]> wrote:

>> Robert Weiner writes:
>> Fixing bugs without even knowing it.  Now that’s good service or lack of sleep.
>> 
> 
> Well must be lack of sleep since there is a fine change log entry about it:
> 
> +2019-08-13  Bob Weiner  <[email-masked]>
> +
> +* hactypes.el (man-show): Eliminated infinite recursion and made work with latest
> +    Emacs man.el library.
> +              (link-to-ebut): Reversed order of args to match link-to-ibut.
> 
> I did not look further for the actual fix but I trust it is in that commit.
> 
> Yours
> -- 
> %% Mats
>